Package org.lwjgl.util.vector

# Class Vector2f

java.lang.Object
org.lwjgl.util.vector.Vector
org.lwjgl.util.vector.Vector2f

All Implemented Interfaces:
  `Serializable`, `ReadableVector`, `ReadableVector2f`, `WritableVector2f`

public class Vector2f extends Vector implements Serializable, ReadableVector2f, WritableVector2f
Holds a 2-tuple vector.

Version:
  $Revision$ $Id$
Author:
  cix_foo invalid input: '<'cix_foo@users.sourceforge.net>
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`float`
`x`
`float`
`y`

## Constructor Summary

Constructors
Constructor
Description
`Vector2f()`
Constructor for Vector3f.
`Vector2f(float x, float y)`
Constructor
`Vector2f(ReadableVector2f src)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`static Vector2f`
`add(Vector2f left, Vector2f right, Vector2f dest)`
Add a vector to another vector and place the result in a destination vector.
`static float`
`angle(Vector2f a, Vector2f b)`
Calculate the angle between two vectors, in radians
`static float`
`dot(Vector2f left, Vector2f right)`
The dot product of two vectors is calculated as v1.x * v2.x + v1.y * v2.y + v1.z * v2.z
`boolean`
`equals(Object obj)`
`final float`
`getX()`
`final float`
`getY()`
`float`
`lengthSquared()`
`Vector`
`load(FloatBuffer buf)`
Load this vector from a FloatBuffer
`Vector`
`negate()`
Negate a vector
`Vector2f`
`negate(Vector2f dest)`
Negate a vector and place the result in a destination vector.
`Vector2f`
`normalise(Vector2f dest)`
Normalise this vector and place the result in another vector.
`Vector`
`scale(float scale)`
Scale this vector
`void`
`set(float x, float y)`
Set the X,Y values
`Vector2f`
`set(ReadableVector2f src)`
Load from another Vector2f
`final void`
`setX(float x)`
Set X
`final void`
`setY(float y)`
Set Y
`Vector`
`store(FloatBuffer buf)`
Store this vector in a FloatBuffer
`static Vector2f`
`sub(Vector2f left, Vector2f right, Vector2f dest)`
Subtract a vector from another vector and place the result in a destination vector.
`String`
`toString()`
`Vector2f`
`translate(float x, float y)`
Translate a vector

### Methods inherited from class org.lwjgl.util.vector.Vector

`length, normalise`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.lwjgl.util.vector.ReadableVector

`length`

## Field Details

### x

public float x

### y

public float y

## Constructor Details

### Vector2f

public Vector2f()
Constructor for Vector3f.

### Vector2f

public Vector2f(ReadableVector2f src)
Constructor

### Vector2f

public Vector2f(float x, float y)
Constructor

## Method Details

### set

public void set(float x, float y)
Description copied from interface: `WritableVector2f`
Set the X,Y values

Specified by:
  `set` in interface `WritableVector2f`
Parameters:
  `x` -
  `y` -

### set

public Vector2f set(ReadableVector2f src)
Load from another Vector2f

Parameters:
  `src` - The source vector
Returns:
  this

### lengthSquared

public float lengthSquared()

Specified by:
  `lengthSquared` in interface `ReadableVector`
Specified by:
  `lengthSquared` in class `Vector`
Returns:
  the length squared of the vector

### translate

public Vector2f translate(float x, float y)
Translate a vector

Parameters:
  `x` - The translation in x
  `y` - the translation in y
Returns:
  this

### negate

public Vector negate()
Negate a vector

Specified by:
  `negate` in class `Vector`
Returns:
  this

### negate

public Vector2f negate(Vector2f dest)
Negate a vector and place the result in a destination vector.

Parameters:
  `dest` - The destination vector or null if a new vector is to be created
Returns:
  the negated vector

### normalise

public Vector2f normalise(Vector2f dest)
Normalise this vector and place the result in another vector.

Parameters:
  `dest` - The destination vector, or null if a new vector is to be created
Returns:
  the normalised vector

### dot

public static float dot(Vector2f left, Vector2f right)
The dot product of two vectors is calculated as v1.x * v2.x + v1.y * v2.y + v1.z * v2.z

Parameters:
  `left` - The LHS vector
  `right` - The RHS vector
Returns:
  left dot right

### angle

public static float angle(Vector2f a, Vector2f b)
Calculate the angle between two vectors, in radians

Parameters:
  `a` - A vector
  `b` - The other vector
Returns:
  the angle between the two vectors, in radians

### add

public static Vector2f add(Vector2f left, Vector2f right, Vector2f dest)
Add a vector to another vector and place the result in a destination vector.

Parameters:
  `left` - The LHS vector
  `right` - The RHS vector
  `dest` - The destination vector, or null if a new vector is to be created
Returns:
  the sum of left and right in dest

### sub

public static Vector2f sub(Vector2f left, Vector2f right, Vector2f dest)
Subtract a vector from another vector and place the result in a destination vector.

Parameters:
  `left` - The LHS vector
  `right` - The RHS vector
  `dest` - The destination vector, or null if a new vector is to be created
Returns:
  left minus right in dest

### store

public Vector store(FloatBuffer buf)
Store this vector in a FloatBuffer

Specified by:
  `store` in interface `ReadableVector`
Specified by:
  `store` in class `Vector`
Parameters:
  `buf` - The buffer to store it in, at the current position
Returns:
  this

### load

public Vector load(FloatBuffer buf)
Load this vector from a FloatBuffer

Specified by:
  `load` in class `Vector`
Parameters:
  `buf` - The buffer to load it from, at the current position
Returns:
  this

### scale

public Vector scale(float scale)
Description copied from class: `Vector`
Scale this vector

Specified by:
  `scale` in class `Vector`
Parameters:
  `scale` - The scale factor
Returns:
  this

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getX

public final float getX()

Specified by:
  `getX` in interface `ReadableVector2f`
Returns:
  x

### getY

public final float getY()

Specified by:
  `getY` in interface `ReadableVector2f`
Returns:
  y

### setX

public final void setX(float x)
Set X

Specified by:
  `setX` in interface `WritableVector2f`
Parameters:
  `x` -

### setY

public final void setY(float y)
Set Y

Specified by:
  `setY` in interface `WritableVector2f`
Parameters:
  `y` -

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`